SecureRandom
Date: 2016-06-24

java.security

## Class SecureRandom

- java.lang.Object
- - java.util.Random
  - - java.security.SecureRandom

- All Implemented Interfaces:
    Serializable

      public class SecureRandom
      extends Random

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SecureRandom()`
    `` | `SecureRandom(byte[] var0)`
    `protected` | `SecureRandom(SecureRandomSpi var0, Provider var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSeed(int var0)`
    `static SecureRandom` | `getInstance(String var0)`
    `static SecureRandom` | `getInstance(String var0, Provider var1)`
    `static SecureRandom` | `getInstance(String var0, String var1)`
    `Provider` | `getProvider()`
    `static byte[]` | `getSeed(int var0)`
    `protected int` | `next(int var0)`
    `void` | `setSeed(byte[] var0)`

    - ### Methods inherited from class java.util.Random

      `nextBoolean, nextBytes, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong, setSeed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureRandom

          public SecureRandom()

    - #### SecureRandom

          protected SecureRandom(SecureRandomSpi var0,
                      Provider var1)

    - #### SecureRandom

          public SecureRandom(byte[] var0)

  - ### Method Detail

    - #### generateSeed

          public byte[] generateSeed(int var0)

    - #### getInstance

          public static SecureRandom getInstance(String var0)
                                          throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getInstance

          public static SecureRandom getInstance(String var0,
                                 String var1)
                                          throws NoSuchAlgorithmException,
                                                 NoSuchProviderException

      Throws:
        `NoSuchAlgorithmException`
        `NoSuchProviderException`

    - #### getInstance

          public static SecureRandom getInstance(String var0,
                                 Provider var1)
                                          throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getProvider

          public final Provider getProvider()

    - #### getSeed

          public static byte[] getSeed(int var0)

    - #### next

          protected final int next(int var0)

      Overrides:
        `next` in class `Random`

    - #### setSeed

          public void setSeed(byte[] var0)